NSENTER(1)

NOM
nsenter - Exécuter un programme avec les espaces de noms d’autres processus

SYNOPSIS
nsenter [options] [programme [arguments]]

DESCRIPTION
Entre dans les espaces de noms d’un ou plusieurs processus puis exécute le programme indiqué. Les espaces de noms dans lesquels il est possible d’entrer sont les suivants.

espace de noms de montage
    Les montage et démontage de systèmes de fichiers n'affecteront pas le reste du système (attribut CLONE_NEWNS), sauf pour les systèmes de fichiers explicitement marqués comme partagés (avec mount --make-shared, consultez /proc/self/mountinfo pour l’attribut shared).

espace de noms UTS
    La configuration de nom d'hôte ou de nom de domaine n'affectera pas le reste du système (attribut CLONE_NEWUTS).

espace de noms IPC
    Le processus aura un nom d'espace indépendant pour les files de messages System V, les ensembles de sémaphores et les segments de mémoire partagée (attribut CLONE_NEWIPC).

espace de noms réseau
    Le processus aura les piles IPv4 et IPv6, les tables de routage IP, les règles de pare-feu, les arborescences des répertoires /proc/net et /sys/class/net, les sockets, etc., indépendantes (attribut CLONE_NEWNET).

espace de noms PID
    Les fils auront un ensemble de PID pour traiter les projections séparément du processus nsenter (attribut CLONE_NEWPID). nsenter engendrera des fils par défaut en cas de modification de l’espace de noms PID, de telle sorte que le nouveau programme et ses fils partagent le même espace de noms PID et soient mutuellement visibles. Si --no-fork est utilisé, le nouveau programme sera exécuté sans engendrer de fils.

espace de noms utilisateur
    Le processus aura un ensemble propre d’UID, de GID et de capacités (attribut CLONE_NEWUSER).

Consultez clone(2) pour les sémantiques exactes des attributs.

Si programme n’est pas donné, alors « ${SHELL} » est exécuté (/bin/sh par défaut).

OPTIONS

-t, --target PID
    Indiquer un processus cible duquel obtenir les contextes. Les chemins vers les contextes indiqués par PID sont respectivement :
    /proc/PID/ns/mnt
        l’espace de noms de montage ;
    /proc/PID/ns/uts
        l’espace de noms UTS ;
    /proc/PID/ns/ipc
        l’espace de noms IPC ;
    /proc/PID/ns/net
        l’espace de noms réseau ;
    /proc/PID/ns/pid
        l’espace de noms PID ;
    /proc/PID/ns/user
        l’espace de noms utilisateur ;
    /proc/PID/root
        le répertoire racine ;
    /proc/PID/cwd
        le répertoire de travail.

-m, --mount[=fichier]
    Entrer dans l’espace de noms de montage. Si aucun fichier n’est indiqué, entrer dans l’espace de noms de montage du processus cible. Si fichier est indiqué, entrer dans l’espace de noms de montage indiqué par fichier.

-u, --uts[=fichier]
    Entrer dans l’espace de noms UTS. Si aucun fichier n’est indiqué, entrer dans l’espace de noms UTS du processus cible. Si fichier est indiqué, entrer dans l’espace de noms UTS indiqué par fichier.

-i, --ipc[=fichier]
    Entrer dans l’espace de noms IPC. Si aucun fichier n’est indiqué, entrer dans l’espace de noms IPC du processus cible. Si fichier est indiqué, entrer dans l’espace de noms IPC indiqué par fichier.

-n, --net[=fichier]
    Entrer dans l’espace de noms réseau. Si aucun fichier n’est indiqué, entrer dans l’espace de noms réseau du processus cible. Si fichier est indiqué, entrer dans l’espace de noms réseau indiqué par fichier.

-p, --pid[=fichier]
    Entrer dans l’espace de noms PID. Si aucun fichier n’est indiqué, entrer dans l’espace de noms PID du processus cible. Si fichier est indiqué, entrer dans l’espace de noms PID indiqué par fichier.

-U, --user[=fichier]
    Entrer dans l’espace de noms utilisateur. Si aucun fichier n’est indiqué, entrer dans l’espace de noms utilisateur du processus cible. Si fichier est indiqué, entrer dans l’espace de noms utilisateur indiqué par fichier. Consultez aussi les options --setuid et --setgid.

-G, --setgid GID
    Définir l’identifiant de groupe qui sera utilisé dans l’espace de noms entré et supprimer les groupes additionnels. nsenter(1) définit toujours le GID pour les espaces de noms utilisateur, 0 par défaut.

-S, --setuid UID
    Définir l’identifiant d’utilisateur qui sera utilisé dans l’espace de noms entré. nsenter(1) définit toujours l’UID pour les espaces de noms utilisateur, 0 par défaut.

--preserve-credentials
    Ne pas modifier les UID et GID en entrant dans un espace de noms utilisateur. Le comportement par défaut est de supprimer les groupes additionnels et de définir les GID et UID à 0.

-r, --root[=répertoire]
    Définir le répertoire racine. Si aucun répertoire n’est indiqué, définir le répertoire racine au répertoire racine du processus cible. Si répertoire est indiqué, définir le répertoire racine au répertoire indiqué.

-w, --wd[=répertoire]
    Définir le répertoire de travail. Si aucun répertoire n’est indiqué, définir le répertoire de travail au répertoire racine du processus cible. Si répertoire est indiqué, définir le répertoire de travail au répertoire indiqué.

-F, --no-fork
    Ne pas engendrer de fils avant d’exécuter le programme indiqué. Par défaut, en entrant dans un espace de noms PID, nsenter appelle fork avant d’appeler exec de telle sorte que tous les fils soient aussi dans l’espace de noms PID nouvellement entré.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

VOIR AUSSI
setns(2), clone(2)

AUTEUR
Eric Biederman (ebiederm@xmission.com)

DISPONIBILITÉ
La commande nsenter fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.